'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.update = undefined;

var _nodeCron = require('node-cron');

var _nightingale = require('nightingale');

var _nightingale2 = _interopRequireDefault(_nightingale);

var _screen = require('./screen');

var screen = _interopRequireWildcard(_screen);

var _display = require('./display');

var display = _interopRequireWildcard(_display);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const logger = new _nightingale2.default('app:cron');

const screenOnTask = (0, _nodeCron.schedule)('30 8 * * 1-5', () => {
  logger.info('screen on');
  screen.on();
}, false);

const screenOffTask = (0, _nodeCron.schedule)('0 20 * * 1-5', () => {
  logger.info('screen off');
  screen.off();
}, false);

const refreshTask = (0, _nodeCron.schedule)('*/30 9,10,11,12,13,14,15,16,17,18,19 * * 1-5', () => {
  logger.info('refresh');
  display.refresh();
}, false);

const update = exports.update = config => {
  if (config.screenOff) {
    logger.info('staring cron screen tasks');
    screenOnTask.start();
    screenOffTask.start();
  } else {
    logger.info('stopping cron screen tasks');
    screenOnTask.stop();
    screenOffTask.stop();
  }

  if (config.autoRefresh) {
    logger.info('staring cron autoRefresh tasks');
    refreshTask.start();
  } else {
    logger.info('stopping cron autoRefresh tasks');
    refreshTask.stop();
  }
};
//# sourceMappingURL=cron.js.map