'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _alpNode = require('alp-node');

var _raspberryService = require('../../raspberryService');

var _raspberryService2 = _interopRequireDefault(_raspberryService);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

exports.default = (0, _alpNode.newController)({
  index(ctx) {
    return _asyncToGenerator(function* () {
      switch (ctx.method) {
        case 'GET':
          {
            ctx.body = yield _raspberryService2.default.getScreenInfo();
            break;
          }
        case 'POST':
          {
            const body = yield ctx.parseBodyJson();
            if (!['on', 'off'].includes(body.state)) {
              ctx.status = 400;
            } else {
              ctx.body = yield _raspberryService2.default[body.state === 'off' ? 'setScreenOff' : 'setScreenOn']();
            }
            break;
          }
        default:
          ctx.status = 404;
          break;
      }
    })();
  }
});
//# sourceMappingURL=screenController.js.map