'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.piUser = exports.userId = exports.serverHost = exports.serverPort = exports.webPort = undefined;

var _minimistArgv = require('minimist-argv');

var _minimistArgv2 = _interopRequireDefault(_minimistArgv);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const webPort = exports.webPort = process.env.WEB_PORT || _minimistArgv2.default['web-port'] || 80;
const serverPort = exports.serverPort = process.env.SERVER_PORT || _minimistArgv2.default.port;
const serverHost = exports.serverHost = process.env.SERVER_HOST || _minimistArgv2.default.host;
const userId = exports.userId = process.env.USER_ID || _minimistArgv2.default.userId;
const piUser = exports.piUser = process.env.PI_USER || _minimistArgv2.default.piUser || 'pi';

if (!serverHost) {
  // eslint-disable-next-line no-console
  console.log('WARNING: host is missing');
}

if (!userId) {
  // eslint-disable-next-line no-console
  console.log('WARNING: userId is missing');
}
//# sourceMappingURL=argv.js.map