'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.updateConfig = updateConfig;
exports.getTime = getTime;
exports.get = get;

var _configstore = require('configstore');

var _configstore2 = _interopRequireDefault(_configstore);

var _deepEqual = require('deep-equal');

var _deepEqual2 = _interopRequireDefault(_deepEqual);

var _argv = require('./argv');

var _networkInterface = require('./networkInterface');

var _networkInterface2 = _interopRequireDefault(_networkInterface);

var _package = require('../package.json');

var _cron = require('./cron');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// import { webPort } from './argv';
const defaultConfig = () => {
  const networkInterface = (0, _networkInterface2.default)();
  return {
    display: 'chromium',
    url: `${_argv.serverHost}/no-config?ip=${networkInterface && networkInterface.ip}`
  };
};

const configStore = new _configstore2.default(_package.name, defaultConfig());
let config = configStore.all;

if (!config || !config.display) {
  config = defaultConfig();
}

(0, _cron.update)(config);

function save() {
  configStore.all = config;
}

if (['livestreamer', 'chromium', 'omxplayer'].indexOf(config.display) === -1) {
  config.display = 'chromium';
  save();
}

function updateConfig(newConfig) {
  if ((0, _deepEqual2.default)(config, newConfig)) {
    return false;
  }

  config = newConfig;
  save();
  (0, _cron.update)(config);
  return true;
}

function getTime() {
  return config.time;
}

function get() {
  return config;
}
//# sourceMappingURL=config.js.map