#!/bin/bash

case "$1" in
    on)
        echo "on 0" | cec-client -s
        sleep 5
        echo "as" | cec-client -s
        /opt/vc/bin/tvservice -p
    ;;
    off)
        /opt/vc/bin/tvservice -o
        echo "standby 0" | cec-client -s
    ;;
    state)
        tvstate=`/opt/vc/bin/tvservice -s 2>&1`
        if [[ $? != 0 ]] || [[ $tvstate == *"Failed to connect"* ]] ; then
            echo 'unavailable'
        elif [[ $tvstate == *"off"* ]] ; then
            echo 'off'
        else
            echo 'on'
        fi
    ;;
    subscribe)
        /opt/vc/bin/tvservice -M
    ;;
    displays)
        ps -u $(id -u) -o pid= | \
            while read pid; do
                cat /proc/$pid/environ 2>/dev/null | tr '\0' '\n' | grep '^DISPLAY=:'
            done | grep -o ':[0-9]*' | sort -u
    ;;
    screenshot)
        DISPLAY=:0 raspi2png --stdout -h 100
    ;;
    *)
        echo "Usage screen.sh {on|off|state|subscribe|screenshot>}"
        exit 1
    ;;
esac

exit 0
