import Configstore from 'configstore';
import deepEqual from 'deep-equal';
// import { webPort } from './argv';
import { serverHost } from './argv';
import findNetworkInterface from './networkInterface';
import { name } from '../package.json';
import { update as updateCronTasks } from './cron';

const defaultConfig = () => {
  const networkInterface = findNetworkInterface();
  return {
    display: 'chromium',
    url: `${serverHost}/no-config?ip=${networkInterface && networkInterface.ip}`,
    // url: `http://localhost${webPort === 80 ? '' : `:${webPort}`}/no-config`,
  };
};

const configStore = new Configstore(name, defaultConfig());
let config = configStore.all;

if (!config || !config.display) {
  config = defaultConfig();
}

updateCronTasks(config);

function save() {
  configStore.all = config;
}

if (['livestreamer', 'chromium', 'omxplayer'].indexOf(config.display) === -1) {
  config.display = 'chromium';
  save();
}


export function updateConfig(newConfig: Object) {
  if (deepEqual(config, newConfig)) {
    return false;
  }

  config = newConfig;
  save();
  updateCronTasks(config);
  return true;
}

export function getTime() {
  return config.time;
}

export function get() {
  return config;
}
