import { newController } from 'alp-node/src';
import raspberryService from '../../raspberryService';

export default newController({
  async index(ctx) {
    if (ctx.method !== 'GET') return ctx.status = 404;
    ctx.body = await raspberryService.getDisplayInfo();
  },

  async start(ctx) {
    if (ctx.method !== 'POST') return ctx.status = 404;
    ctx.body = await raspberryService.startDisplay();
  },

  async restart(ctx) {
    if (ctx.method !== 'POST') return ctx.status = 404;
    ctx.body = await raspberryService.restartDisplay();
  },

  async stop(ctx) {
    if (ctx.method !== 'POST') return ctx.status = 404;
    ctx.body = await raspberryService.stopDisplay();
  },

  async refresh(ctx) {
    if (ctx.method !== 'POST') return ctx.status = 404;
    ctx.body = await raspberryService.refreshDisplay();
  },

  async openboxStarted(ctx) {
    if (ctx.method !== 'POST') return ctx.status = 404;
    ctx.body = await raspberryService.setOpenboxStarted();
  },
});
