import { newController } from 'alp-node/src';
import raspberryService from '../../raspberryService';

export default newController({
  async index(ctx) {
    switch (ctx.method) {
      case 'GET': {
        ctx.body = await raspberryService.getScreenInfo();
        break;
      }
      case 'POST': {
        const body = await ctx.parseBodyJson();
        if (!['on', 'off'].includes(body.state)) {
          ctx.status = 400;
        } else {
          ctx.body = await raspberryService[body.state === 'off' ? 'setScreenOff' : 'setScreenOn']();
        }
        break;
      }
      default:
        ctx.status = 404;
        break;
    }
  },
});
